=== debian/changelog ===
grib-api (1.14.7-2) unstable; urgency=medium

  * Add "|| true" to mips conditional to allow build on mips
  * Also avoid tests on hppa which can timeout
  *  Ack. which patches have been forwarded to ECMWF
  * Add examples/ to libgrib-api-dev. Closes: #574961
  * Ack. old bug fixed in previous release. Closes: #745265

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 22 Mar 2016 11:33:08 +0000

grib-api (1.14.7-1) unstable; urgency=medium

  * New upstream release.
  * Enable all tests on non-mips archs. Work on mips, but can time out on
   low-powered machines. 

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 20 Mar 2016 16:06:22 +0000

grib-api (1.14.5-6) experimental; urgency=medium

  * Enable all non-download tests. 
  * Add static-fix.patch to fix shadowed usage() functions. 
    Closes: #752732.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 12 Mar 2016 18:06:48 +0000

grib-api (1.14.5-6) unstable; urgency=medium

  * Set _FILE_OFFSET_BITS=64 on Hurd. (hurd.patch). Closes: #817265

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 10 Mar 2016 07:18:29 +0000

grib-api (1.14.5-5) unstable; urgency=medium

  * Fix FTBFS with -A (arch indep) builds. Closes: #817127.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 09 Mar 2016 06:51:55 +0000

grib-api (1.14.5-4) unstable; urgency=medium

  * Also conflict with libjasper-dev to ensure clean build

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 02 Mar 2016 22:32:15 +0000

grib-api (1.14.5-3) unstable; urgency=medium

  * Also remove dependencies from libgrib-api-dev on libjasper-dev.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 01 Mar 2016 18:15:44 +0000

grib-api (1.14.5-2) unstable; urgency=medium

  * Add netcdf, boost, hdf5, build-dependencies
  * disable more download depends.
   -  Disable tests until network tests issue fixed.
  * Remove jasper dependencies in favour of openjpeg;
    Jasper dropped from Debian due to security concerns
    (unsupported upstream).
  * Move to Standards-Version: 3.9.7
  * Ack. that we now buld python package. Closes: #792477.
  * Patch: Move python from distutils -> setuptools.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 29 Feb 2016 14:14:48 +0000

grib-api (1.14.5-1) experimental; urgency=medium

  * New upstream release.
  * Change maintainer as Enrico steps down. Closes: #813235.
  * Add test data package.
  * Enable tests, network tests disabled.
  * Use xz compression.
  * Move docs to grib-api-doc package.
  * Build-Conflict on libgrib-api0 to avoid errors in tests
  * Add B-D on chrpath, remove hdf5 lib paths from grib_to_netcdf

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 06 Feb 2016 07:55:46 +0000
