=== debian/changelog ===
grib-api (1.15.0-4) unstable; urgency=medium

  Bugfixes to python3 support
  * Enable testing.
  Typo. Ack Closing FTBFS. Closes: #820986.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 16 Jun 2016 11:43:41 +0100

grib-api (1.15.0-3) experimental; urgency=medium

  * Add python3 support

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 12 Jun 2016 18:05:32 +0100

grib-api (1.15.0-2) unstable; urgency=medium

  * Remove png, openjpeg from cmake files so that magics++, etc. have 
    no unnecessary dependencies.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 12 Jun 2016 18:05:18 +0100

grib-api (1.15.0-1) unstable; urgency=medium

  * New upstream release.
  * Use OpenMP rather than POSIX threads.
   - patch omp-fix.patch needed
  * Fix FTBFS on dpkg-buildpackage -A. Closes: ##820986
  * Don't call dh_buildinfo conditionally. Closes: #820990
  * Standards-Version: 3.9.8

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 27 Apr 2016 19:00:40 +0100
