=== debian/control ===
--- 
+++ 
@@ -6,10 +6,13 @@
 Build-Depends: debhelper (>= 9), dh-buildinfo, cmake,
   libjpeg-dev, libpng-dev, gfortran, flex, bison, quilt,
   libnetcdf-dev, libopenjpeg-dev, libboost-dev, libhdf5-dev, 
-  curl, python-all-dev, python-numpy, dh-python, chrpath,
+  curl,swig, 
+  python3-all-dev,  python3-numpy, python3-six,
+  python-all-dev, python-numpy, python-six,
+  dh-python, chrpath, 
   python-setuptools, python3-setuptools,
   libaec-dev
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Build-Conflicts: libgrib-api-dev, libgrib-api0, libjasper-dev
 X-Python-Version: >= 2.6
 Homepage: https://software.ecmwf.int/wiki/display/GRIB/Home
@@ -82,3 +85,18 @@
  This is a Python wrapper for the GRIB API library.
  .
  ECMWF is the European Centre for Medium-Range Weather Forecasts.
+
+Package: python3-gribapi
+Section: python
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}
+Provides: ${python3:Provides}
+Description: Python3 module for the ECMWF GRIB API library
+ The ECMWF GRIB API is an application program interface accessible from C and
+ FORTRAN programs developed for encoding and decoding WMO FM-92 GRIB edition 1
+ and edition 2 messages.
+ .
+ This is a Python3 wrapper for the GRIB API library.
+ .
+ ECMWF is the European Centre for Medium-Range Weather Forecasts.
+
