## grib-api 1.16.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,6 +13,7 @@
 # Download all data files doing md5 check on each
 ecbuild_get_test_multidata( TARGET grib_api_download_gribs
                             NAMES ${files_to_download} )
+set_property( TEST grib_api_download_gribs APPEND PROPERTY LABELS download_data )
 
 # Copy other files - e.g. reference data, text files etc from the source data dir
 LIST(APPEND other_files
