=== debian/changelog ===
grib-api (1.16.0-6) unstable; urgency=medium

  * Patch from Bas Couwenberg for library path in cmake module.
    Closes: #843634.	 

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 15 Aug 2016 04:41:55 +0100

grib-api (1.16.0-5) unstable; urgency=medium

  * Sanitise cmake/* scripts more to remove all dependencies.
    Closes: #834107.
  * tools package now recommends: python*-gribapi packages.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 12 Aug 2016 11:57:44 +0100

grib-api (1.16.0-4) unstable; urgency=medium

  * openjpeg2 patch: fix compression ratio regression.
  * -dev, -tools pkgs now conflict with eccodes variants.
  * Fixes to python test failures - changes in py3 file handling

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 02 Aug 2016 19:23:41 +0100

grib-api (1.16.0-3) unstable; urgency=medium

  * Patch for openjpeg2 support.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 23 Jul 2016 10:18:18 +0100

grib-api (1.16.0-2) unstable; urgency=medium

  * Temporarily disable openjpeg support. Closes: #826816.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 22 Jul 2016 21:50:11 +0100

grib-api (1.16.0-1) unstable; urgency=medium

  * New upstream release
    - OMP patch merged upstream
  * Call dh_numpy3 in rules. 

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 08 Jul 2016 11:40:37 +0100

grib-api (1.15.0-6) unstable; urgency=medium

  * Sanitize cmake files: remove python references that break magics++

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 07 Jul 2016 16:40:23 +0100

grib-api (1.15.0-5) unstable; urgency=medium

  * Patch from Chris Lamb to remove .pyc files and make build reproducible.
    Closes: #828067.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 04 Jul 2016 11:07:09 +0100
