=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Uploaders: Enrico Zini <enrico@debian.org>
 Build-Depends: debhelper (>= 9), dh-buildinfo, cmake,
   libjpeg-dev, libpng-dev, gfortran, flex, bison, quilt,
-  libnetcdf-dev, libopenjpeg-dev, libboost-dev, libhdf5-dev, 
+  libnetcdf-dev, libboost-dev, libhdf5-dev, 
+  libopenjp2-7-dev,
   curl,swig, 
   python3-all-dev,  python3-numpy, python3-six,
   python-all-dev, python-numpy, python-six,
@@ -13,7 +14,7 @@
   python-setuptools, python3-setuptools,
   libaec-dev
 Standards-Version: 3.9.8
-Build-Conflicts: libgrib-api-dev, libgrib-api0, libjasper-dev
+Build-Conflicts: libgrib-api-dev, libjasper-dev, libopenjpeg-dev
 X-Python-Version: >= 2.6
 Homepage: https://software.ecmwf.int/wiki/display/GRIB/Home
 Vcs-Git: git://anonscm.debian.org/collab-maint/gribapi.git
@@ -38,6 +39,7 @@
 Architecture: any
 Depends: libgrib-api0 (= ${binary:Version}), ${misc:Depends}, 
  libaec-dev, libpng-dev, libjpeg-dev, zlib1g-dev
+Conflicts: libeccodes-dev
 Description: GRIB decoding/encoding software library (development)
  The ECMWF GRIB API is an application program interface accessible from C and
  FORTRAN programs developed for encoding and decoding WMO FM-92 GRIB edition 1
@@ -49,6 +51,8 @@
 Section: utils
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: python3-gribapi, python-gribapi
+Conflicts: libeccodes-dev
 Description: GRIB decoding/encoding software (utilities)
  The ECMWF GRIB API is an application program interface accessible from C and
  FORTRAN programs developed for encoding and decoding WMO FM-92 GRIB edition 1
