=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,8 @@
 CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS) #  -fPIC
 CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
 LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
+
+PY3VERSM:=$(shell py3versions -d)m
 
 export LDFLAGS CFLAGS CXXFLAGS
 
@@ -62,9 +64,12 @@
 	dh_auto_install  --builddirectory=debian/build-py3 
 
 override_dh_auto_test:
-	$(DO_TEST) && ( LD_LIBRARY_PATH=$(CURDIR)/debian/build-py2/lib \
+	# We need python code properly installed in debian/tmp to separate python2, python3 extensions when testing
+	(cd debian/build-py2 && $(MAKE) install DESTDIR=$(CURDIR)/debian/tmp AM_UPDATE_INFO_DIR=no)
+	(cd debian/build-py3 && $(MAKE) install DESTDIR=$(CURDIR)/debian/tmp AM_UPDATE_INFO_DIR=no)
+	$(DO_TEST) && ( LD_LIBRARY_PATH=$(CURDIR)/debian/build-py2/lib ; PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python2.7/site-packages \
 		dh_auto_test --builddirectory=debian/build-py2  ) || true
-	$(DO_TEST) && ( LD_LIBRARY_PATH=$(CURDIR)/debian/build-py3/lib \
+	$(DO_TEST) && ( LD_LIBRARY_PATH=$(CURDIR)/debian/build-py3/lib ; PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3.5/site-packages \
 		dh_auto_test --builddirectory=debian/build-py3  ) || true
 
 override_dh_install:
@@ -75,19 +80,22 @@
 	for d in debian/tmp/usr/bin/* ; do \
 		( chrpath -d $$d || echo "Ignoring chrpath error for non-ELF $d" ); \
 		done
-	mv debian/tmp/usr/ifs_samples debian/tmp/usr/share/grib_api
 	dh_numpy
+	dh_numpy3
 	dh_install
+	#
 	# Setup cmake files for magics++, metview, etc.
+	#
 	mkdir -p debian/libgrib-api-dev/$(LIBDIR)/cmake/grib_api
 	cp debian/tmp/usr/share/grib_api/cmake/* debian/libgrib-api-dev/$(LIBDIR)/cmake/grib_api
-	sed -e 's%$${_IMPORT_PREFIX}%/usr%' \
-	       < debian/tmp/usr/share/grib_api//cmake/grib_api-targets-release.cmake | \
-	sed -e 's%${LIBDIR}/libopenjpeg.so;%%' | sed -e 's%;${LIBDIR}/libpng.so%%g' \
-              > debian/libgrib-api-dev/$(LIBDIR)/cmake/grib_api/grib_api-targets-release.cmake
-	sed -e 's%;${LIBDIR}/libopenjpeg.so%%g' \
-		< debian/tmp/usr/share/grib_api//cmake/grib_api-config.cmake | \
-	sed -e 's%;${LIBDIR}/libpng.so%%g' \
+	cat debian/tmp/usr/share/grib_api//cmake/grib_api-targets-release.cmake | \
+	sed -e 's% *IMPORTED_LINK_INTERFACE_LIBRARIES_RELEASE.*%  IMPORTED_LINK_INTERFACE_LIBRARIES_RELEASE ""%' \
+		-e 's%$${_IMPORT_PREFIX}%/usr%g' \
+                > debian/libgrib-api-dev/$(LIBDIR)/cmake/grib_api/grib_api-targets-release.cmake
+	cat debian/tmp/usr/share/grib_api//cmake/grib_api-config.cmake | \
+	sed -e 's%^set( grib_api_BASE_DIR.*%set ( grib_api_BASE_DIR /build/grib-api )%' | \
+	sed -e 's%^set( GRIB_API_TPLS.*%set( GRIB_API_TPLS "")%' | \
+	sed -e 's%^set( GRIB_API_TPL_LIBRARIES.*%set( GRIB_API_TPL_LIBRARIES "" )%' \
 		> debian/libgrib-api-dev/$(LIBDIR)/cmake/grib_api/grib_api-config.cmake
 
 override_dh_auto_clean:
@@ -100,7 +108,10 @@
 	      tests/statistics.out tests/x.grib \
 	      data/change_scanning_rotated_ll.filter examples/F90/index.idx
 
+override_dh_installexamples:
+	dh_installexamples -X.pyc
+
 override_dh_fixperms-arch:
 	dh_fixperms
-	chmod +x debian/libgrib-api0/usr/share/grib_api/definitions/installDefinitions.sh
-	chmod -x debian/libgrib-api-dev/usr/share/doc/libgrib-api-dev/examples/python/README
+	chmod 755 debian/libgrib-api0/usr/share/grib_api/definitions/installDefinitions.sh
+	chmod 644 debian/libgrib-api-dev/usr/share/doc/libgrib-api-dev/examples/python/README
