=== debian/changelog ===
grib-api (1.18.0-1) unstable; urgency=medium

  * New upstream release
  * DH_COMPAT=10

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 28 Oct 2016 14:03:08 +0100
