=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
 Uploaders: Enrico Zini <enrico@debian.org>
-Build-Depends: debhelper (>= 9), dh-buildinfo, cmake,
+Build-Depends: debhelper (>= 10), dh-buildinfo, cmake,
   libjpeg-dev, libpng-dev, gfortran, flex, bison, quilt,
   libnetcdf-dev, libboost-dev, libhdf5-dev, 
   libopenjp2-7-dev,
